Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanParameterInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanParameterInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  OpenMBeanParameterInfoSupport

public class MBeanParameterInfo
extends MBeanFeatureInfo
implements java.io.Serializable, java.lang.Cloneable

Describes an argument of an operation exposed by an MBean. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanParameterInfo(java.lang.String name, java.lang.String type, java.lang.String description)` Constructs a `MBeanParameterInfo` object.

Method Summary
`java.lang.Object` | `clone()` Returns a shallow clone of this instance.
`boolean` | `equals(java.lang.Object o)` Compare this MBeanParameterInfo to another.
`java.lang.String` | `getType()` Returns the type or class name of the data.
`int` | `hashCode()`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanParameterInfo

    public MBeanParameterInfo(java.lang.String name,
                              java.lang.String type,
                              java.lang.String description)
                       throws java.lang.IllegalArgumentException

  Constructs a `MBeanParameterInfo` object.

Parameters:
  `name` - The name of the data
  `type` - The type or class name of the data
  `description` - A human readable description of the data. Optional.

Method Detail

### clone

    public java.lang.Object clone()

  Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

  Since this class is immutable, cloning is chiefly of interest to subclasses.

### getType

    public java.lang.String getType()

  Returns the type or class name of the data.

  Returns:
    the type string.

### equals

    public boolean equals(java.lang.Object o)

  Compare this MBeanParameterInfo to another.

  Overrides:
    `equals` in class `MBeanFeatureInfo`
  Parameters:
    `o` - the object to compare to.
  Returns:
    true iff `o` is an MBeanParameterInfo such that its `MBeanFeatureInfo.getName()`, `getType()`, and `MBeanFeatureInfo.getDescription()` values are equal (not necessarily identical) to those of this MBeanParameterInfo.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MBeanFeatureInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.